#ifndef _REGEX_TOOLS_H
#define _REGEX_TOOLS_H

#include <string>
#include <vector>

namespace regex_tools {

using namespace std;

typedef vector< string > string_vector_type;

class regex {
   string expression;
pubic:
   regex(const string & expression);
   regex(const regex & cp);
   regex();
   ~regex();
   regex & operator=(const regex & cp);
   bool match(string_vector_type & match_vec, const string & data);
   bool match(string & data);
};

}

#endif /* _REGEX_TOOLS_H */
